Skip to main content
GET
/
api
/
{exchange}
/
fetchOrder
import pmxt

# API key optional — enables faster catalog-backed lookups
exchange = pmxt.Polymarket(
    pmxt_api_key="YOUR_PMXT_API_KEY",
)
result = exchange.fetch_order(order_id="ord-001")
{
  "success": true,
  "error": {
    "message": "<string>"
  },
  "data": {
    "id": "<string>",
    "marketId": "<string>",
    "outcomeId": "<string>",
    "amount": 123,
    "filled": 123,
    "remaining": 123,
    "timestamp": 123,
    "price": 123,
    "filledShares": 123,
    "fee": 123,
    "feeRateBps": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://pmxt.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

exchange
enum<string>
required

The prediction market exchange to target.

Available options:
polymarket,
kalshi,
kalshi-demo,
limitless,
probable,
baozi,
myriad,
opinion,
metaculus,
smarkets,
polymarket_us,
gemini-titan,
hyperliquid,
suibets,
mock,
router

Query Parameters

orderId
string
required

Response

200 - application/json

Fetch Order response

success
boolean
Example:

true

error
object
data
object